Skip to content

create_telemetry_deletion_request

POST
/telemetry/deletion-requests
curl --request POST \
--url https://api.siteqwality.com/telemetry/deletion-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "kind": "example", "signals": [ "example" ], "service": "example", "env": "example", "attribute_key": "example", "attribute_value": "example", "trace_ids": [ "example" ], "from": "example", "to": "example" }'
Media type application/json
object
id
required
string format: uuid
kind
required
string
signals
array | null
service
string | null
env
string | null
attribute_key
string | null
attribute_value
string | null
trace_ids
array | null
from
string | null
to
string | null
Example generated
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"kind": "example",
"signals": [
"example"
],
"service": "example",
"env": "example",
"attribute_key": "example",
"attribute_value": "example",
"trace_ids": [
"example"
],
"from": "example",
"to": "example"
}

Telemetry erasure queued

Media type application/json
object
id
required
string format: uuid
status
required
string
step
required
integer format: int32
created_at
required
string
completed_at
string | null
target_at
required
string
due_at
required
string
backup_retention_days
required
integer format: int32
blocked_reason
string | null
Example generated
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"status": "example",
"step": 1,
"created_at": "example",
"completed_at": "example",
"target_at": "example",
"due_at": "example",
"backup_retention_days": 1,
"blocked_reason": "example"
}

Account admin required

Identity conflict

Invalid erase subject

Daily erase limit

Telemetry paused